Package org.wso2.carbon.wsdl2code.ui.fileupload

## Class WSDL2CodeFileUploadExecutor

- java.lang.Object
- - org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor
  - - org.wso2.carbon.wsdl2code.ui.fileupload.WSDL2CodeFileUploadExecutor

-     public class WSDL2CodeFileUploadExecutor
      extends org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor

      `configurationContext, log`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WSDL2CodeFileUploadExecutor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `copyInputStream​(InputStream in, OutputStream out)` |
    `boolean` | `execute​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor

      `checkServiceFileExtensionValidity, executeCommon, generateUUID, getAllFileItems, getContextRoot, getErrorRedirectionPage, getFileItemsMap, getFileName, getFormFieldsMap, getFormFieldValue, getWorkingDir, parseRequest, parseRequest, uploadArtifacts, uploadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WSDL2CodeFileUploadExecutor

          public WSDL2CodeFileUploadExecutor()

  - ### Method Detail

    - #### copyInputStream

          public void copyInputStream​(InputStream in,
                                      OutputStream out)
                               throws IOException

      Throws:
        `IOException`

    - #### execute

          public boolean execute​(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws org.wso2.carbon.CarbonException,
                                 IOException

      Specified by:
        `execute` in class `org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor`
      Throws:
        `org.wso2.carbon.CarbonException`
        `IOException`